package com.ruoyi.mall.domain.Vo;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 助手问题对象 tb_business_question
 * 
 * @author ruoyi
 * @date 2023-10-24
 */
public class BusinessQuestionVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 问题id */
    private Long questionId;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 副标题 */
    @Excel(name = "副标题")
    private String subTitle;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 跳转目标 */
    @Excel(name = "跳转目标")
    private Long turnNum;
    private String turnName;

    /** 删除标志(0代表存在 2代表删除) */
    private String delFlag;


    public void setQuestionId(Long questionId) 
    {
        this.questionId = questionId;
    }

    public Long getQuestionId() 
    {
        return questionId;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setSubTitle(String subTitle) 
    {
        this.subTitle = subTitle;
    }

    public String getSubTitle() 
    {
        return subTitle;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }
    public void setTurnNum(Long turnNum) 
    {
        this.turnNum = turnNum;
    }

    public Long getTurnNum() 
    {
        return turnNum;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public String getTurnName() {
        return turnName;
    }

    public void setTurnName(String turnName) {
        this.turnName = turnName;
    }

    @Override
    public String toString() {
        return "BusinessQuestionVo{" +
                "questionId=" + questionId +
                ", title='" + title + '\'' +
                ", subTitle='" + subTitle + '\'' +
                ", sort=" + sort +
                ", turnNum=" + turnNum +
                ", turnName='" + turnName + '\'' +
                ", delFlag='" + delFlag + '\'' +
                '}';
    }
}
